Class | Sequel::SQL::Blob
In: | lib/sequel/sql.rb
Parent: | ::String

`Blob` is used to represent binary data in the Ruby environment that is stored as a blob type in the database. Sequel represents binary data as a Blob object because most database engines require binary data to be escaped differently than regular strings.

### Methods

to_sequel_blob

### Public Instance methods

to_sequel_blob()

Returns `self`, used so that Blobs don‘t get wrapped in multiple levels.

[Source]

         # File lib/sequel/sql.rb, line 528
    528:       def to_sequel_blob
    529:         self
    530:       end

[Validate]